Bug 738174 - ms ext4: ext3->ext4 migration is broken
Summary: ms ext4: ext3->ext4 migration is broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: fs-maint
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 09:04 UTC by Monakhov Dmitriy
Modified: 2013-03-24 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-24 20:00:47 UTC


Attachments (Terms of Use)
testcase for the bug (644 bytes, application/x-sh)
2011-09-14 09:04 UTC, Monakhov Dmitriy
no flags Details

Description Monakhov Dmitriy 2011-09-14 09:04:41 UTC
Created attachment 523092 [details]
testcase for the bug

This is mainstream bug.
it happens during migration inode from ind-layout to extent one
chattr +e ./a_file and result in massive data corruption.
Patch already available: http://patchwork.ozlabs.org/patch/93790/
and it is applicable to 2.6.32.131 as is.
Test case attached.

Comment 2 RHEL Product and Program Management 2011-10-07 15:48:10 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Eric Sandeen 2012-10-05 14:23:50 UTC
Just a note - we do not support ext3->ext4 migration in RHEL (as is probably obvious by the fact that this stuff is so broken).

Migration paths are rarely run or tested, and never run or tested by our internal QE.  Migration gets you half-an-ext4, without all of the improved metadata layout you gain at mkfs time.  Our only supported usecase for ext4 is a fresh mkfs.

Since this is simple & obvious, we could consider fixing it to avoid corruption for people who try it anyway, but I don't want to leave the impression that this is a supported/maintained use case.

Comment 4 Eric Sandeen 2013-03-24 20:00:47 UTC
Since migration isn't supported in RHEL, I'm just going to WONTFIX this one.

Thanks for the report,
-Eric


Note You need to log in before you can comment on or make changes to this bug.